Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v2
Class SigningType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v2.SigningType

All Implemented Interfaces:
  Serializable

    public class SigningType

extends Object
implements Serializable

Specifies the content of a signature

Java class for SigningType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SigningType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="SigningDownloadFileName">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="80"/>
                 </restriction>
               </simpleType>
             </element>
             <choice>
               <element name="BinarySigningContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="TextSigningContent" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </sequence>
           <attribute name="SigningType" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <minLength value="1"/>
                 <maxLength value="50"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SigningType()`

Method Summary
`DataHandler` | `getBinarySigningContent()` Gets the value of the binarySigningContent property.
`String` | `getSigningDownloadFileName()` Gets the value of the signingDownloadFileName property.
`String` | `getSigningType()` Gets the value of the signingType property.
`String` | `getTextSigningContent()` Gets the value of the textSigningContent property.
`void` | `setBinarySigningContent(DataHandler value)` Sets the value of the binarySigningContent property.
`void` | `setSigningDownloadFileName(String value)` Sets the value of the signingDownloadFileName property.
`void` | `setSigningType(String value)` Sets the value of the signingType property.
`void` | `setTextSigningContent(String value)` Sets the value of the textSigningContent property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigningType

    public SigningType()

Method Detail

### getSigningDownloadFileName

    public String getSigningDownloadFileName()

  Gets the value of the signingDownloadFileName property.

  Returns:
    possible object is `String`

### setSigningDownloadFileName

    public void setSigningDownloadFileName(String value)

  Sets the value of the signingDownloadFileName property.

  Parameters:
    `value` - allowed object is `String`

### getTextSigningContent

    public String getTextSigningContent()

  Gets the value of the textSigningContent property.

  Returns:
    possible object is `String`

### setTextSigningContent

    public void setTextSigningContent(String value)

  Sets the value of the textSigningContent property.

  Parameters:
    `value` - allowed object is `String`

### getBinarySigningContent

    public DataHandler getBinarySigningContent()

  Gets the value of the binarySigningContent property.

  Returns:
    possible object is `DataHandler`

### setBinarySigningContent

    public void setBinarySigningContent(DataHandler value)

  Sets the value of the binarySigningContent property.

  Parameters:
    `value` - allowed object is `DataHandler`

### getSigningType

    public String getSigningType()

  Gets the value of the signingType property.

  Returns:
    possible object is `String`

### setSigningType

    public void setSigningType(String value)

  Sets the value of the signingType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.